package cz.senslog.analytics.domain;

import java.time.OffsetDateTime;

public record Observation(Sensor source, double value, OffsetDateTime timestamp) implements TimeSeriesDatasource {

    @Override
    public long datasourceId() {
        return source.id();
    }
}
